package addressbook;

import org.w3c.dom.Node;

import com.neocore.httpclient.XMLEncoder;

public class ItemBean {

	private String id = ""; // ID

	private String name = ""; // ̾

	private String zip = ""; // ͹ֹ

	private String address = ""; // 

	private String tel = ""; // ֹ	
	
	/**
	 * 󥹥ȥ饯 XprioriitemΡɤϤѿꤹ 
	 * @param itemnode
	 */
	public ItemBean(Node itemnode) {
			if(itemnode != null && itemnode.getNodeName().equals("item")){
				// ID
				this.setID(XMLEncoder.xmlUnencode(itemnode.getAttributes().getNamedItem("id").getNodeValue()));
				// ̾
				this.setName(XMLEncoder.xmlUnencode(AddressbookUtils.getChildNodeByTagName(itemnode,"name").getFirstChild().getNodeValue()));
				// ͹ֹ
				this.setZip(XMLEncoder.xmlUnencode(AddressbookUtils.getChildNodeByTagName(itemnode,"zip").getFirstChild().getNodeValue()));
				// 
				this.setAddress(XMLEncoder.xmlUnencode(AddressbookUtils.getChildNodeByTagName(itemnode,"address").getFirstChild().getNodeValue()));
				// ֹ
				if(AddressbookUtils.getChildNodeByTagName(itemnode,"tel") != null ){//telǤ¸ߤ뤫ɤå
					this.setTel(XMLEncoder.xmlUnencode(AddressbookUtils.getChildNodeByTagName(itemnode,"tel").getFirstChild().getNodeValue()));
				}
			}
	}
	
	/**
	 * ǥեȥ󥹥ȥ饯
	 */
	public ItemBean() {
	}

  /**
   * ID򥻥å
   * @param id
   */	
	public void setID(String id) {
		this.id = id;
	}

	/**
	 * ID򥲥å
	 * @return ID
	 */
	public String getID() {
		return this.id;
	}

	/**
	 * ̾򥻥å
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * ͹ֹ򥻥å
	 * @param zip
	 */
	public void setZip(String zip) {
		this.zip = zip;
	}

	/**
	 * 򥻥å
	 * @param address
	 */
	public void setAddress(String address) {
		this.address = address;
	}

	/**
	 * ֹ򥻥å
	 * @param address
	 */
	public void setTel(String tel) {
		this.tel = tel;
	}
	
	/**
	 * ̾򥲥å
	 * @return
	 */
	public String getName() {
		return this.name;
	}

	/**
	 * ͹ֹ򥲥å
	 * @return
	 */
	public String getZip() {
		return this.zip;
	}

	/**
	 * 򥲥å
	 * @return
	 */
	public String getAddress() {
		return this.address;
	}

	/**
	 * ֹ򥲥å
	 * @return
	 */
	public String getTel() {
		return this.tel;
	}
	
	/**
	 * ƥxml
	 * @return itemXML
	 */
	public String getItemXML() {
		String itemXML = "<item id=\"" + XMLEncoder.xmlEncode(this.getID())
				+ "\">" + "<name>" + XMLEncoder.xmlEncode(this.getName())
				+ "</name>" + "<zip>" + XMLEncoder.xmlEncode(this.getZip())
				+ "</zip>" + "<address>"
				+ XMLEncoder.xmlEncode(this.getAddress()) + "</address>"
				+ "<tel>" + XMLEncoder.xmlEncode(this.getTel()) + "</tel>"
				+ "</item>";
		return itemXML;
	}
}
